This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 471623 - SDL_mixer branched for OLPC-4 to free space
SDL_mixer branched for OLPC-4 to free space
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL_mixer (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-11-14 13:03 EST by Dennis Gilmore
Modified: 2009-04-11 14:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: SDL_mixer-1.2.8-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 14:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-11-14 13:03:21 EST
SDL_mixer has a Requires on timidity++-patches  which brings in 51MB of samples.  OLPC is not using them and they seem to be purely optional,  they are manually added as a Requires.

Can we drop this Requires in F-11?
How can we work this package so tha OLPC doesnt use the space,  and they dont need to branch it in CVS?
Comment 1 Brian Pepple 2008-11-14 16:05:06 EST
Right off the bat, I question why we're bringing in the samples with the timidity++-patches, that would seem like a good thing to put in a optional sub-package, but I haven't looked at that package, so maybe there's a good reason.

Anyway, I had to go back (fall of '05) to remember why we added a requires on timidity++.  It looks like we added it for this reason:

"SDL_mixer needs /etc/timidity.cfg as well as the timidity instruments in order  
to play MIDI files.  
  
To reproduce: "playmus /path/to/a/file.mid", results:  
 
    Opened audio at 22050 Hz 16 bit stereo, 4096 bytes audio buffer 
    Couldn't load [...]: /etc/timidity.cfg: No such file or directory 
 
If /etc/timidify.cfg is manually created without installing timidity++, the 
error message goes away, but there's still no sound (due to missing 
instruments, I gather)."

Let me look into this some more to see if we can find a better solution, since I think this is a pretty worthwhile goal for F11.
Comment 2 Dennis Gilmore 2008-11-14 17:02:17 EST
Perhaps split it off to a SDL_mixer-midi package  that should make it pretty clear to play midi files you need it.  but you can use SDL_mixer just fine without midi support.   I guess we would need to find what packages need SDL_mixer midi support and make sure they require SDL_mixer-midi so that they continue to work as expected.
Comment 3 Peter Robinson 2008-11-24 03:50:23 EST
The easiest way I can think of to move it to a -midi subpackage with the least pain would be to add a "Provides: SDL_mixer-midi" to the existing spec file and then get all the packages that do depend on the midi functionality to depend on that. Once they all do you then move the midi functionality to the subpackage.

A repo query returns one package that depends on SDL_mixer.

$ repoquery --whatrequires SDL_mixer
SDL_mixer-devel-0:1.2.8-9.fc10.x86_64
SDL_mixer-devel-0:1.2.8-9.fc10.i386
ltris-0:1.0.12-3.fc10.x86_64
Comment 4 Bug Zapper 2008-11-26 00:23:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brian Pepple 2009-01-05 19:08:48 EST
(In reply to comment #3)
> The easiest way I can think of to move it to a -midi subpackage with the least
> pain would be to add a "Provides: SDL_mixer-midi" to the existing spec file and
> then get all the packages that do depend on the midi functionality to depend on
> that. Once they all do you then move the midi functionality to the subpackage.
> 
> A repo query returns one package that depends on SDL_mixer.
> 
> $ repoquery --whatrequires SDL_mixer
> SDL_mixer-devel-0:1.2.8-9.fc10.x86_64
> SDL_mixer-devel-0:1.2.8-9.fc10.i386
> ltris-0:1.0.12-3.fc10.x86_64

You probably want to run your query as:
[bpepple@lincoln Desktop]$ repoquery --whatrequires libSDL_mixer-1.2.so.0
widelands-0:0-0.11.build12.fc9.i386
frozen-bubble-0:2.1.0-9.fc10.i386
dd2-0:0.2.2-3.fc9.i386
trackballs-0:1.1.4-6.fc9.i386
smc-0:1.5-3.fc10.i386
powermanga-0:0.90-3.i386
asc-0:2.1.0.0-2.fc10.i386
ltris-0:1.0.12-3.fc10.i386
gambas-gb-sdl-0:1.0.19-7.fc10.i386
biloba-0:0.6-1.fc10.i386
atomorun-0:1.1-0.8.pre2.fc9.i386
wesnoth-tools-0:1.4.5-1.fc10.i386
freedroidrpg-0:0.11.1-1.fc10.i386
freetennis-0:0.4.8-14.fc10.i386
vodovod-0:1.10-2.fc9.i386
enigma-0:1.01-6.2.i386
amoebax-0:0.2.0-3.fc9.i386
abe-0:1.1-7.fc9.i386
tuxpaint-1:0.9.20-1.fc10.i386
asylum-0:0.2.4-3.fc10.i386
manaworld-0:0.0.27-1.fc10.i386
tecnoballz-0:0.92-4.fc9.i386
glaxium-0:0.5-4.fc9.i386
extremetuxracer-0:0.4-1.fc9.i386
hedgewars-0:0.9.6-1.fc10.i386
prboom-0:2.4.7-3.fc9.i386
blobwars-0:1.09b2-2.fc10.i386
nogravity-0:2.00-6.fc9.i386
pachi-0:1.0-5.fc9.i386
BlockOutII-0:2.3-5.fc9.i386
barrage-0:1.0.2-3.fc10.i386
alienblaster-0:1.1.0-4.fc9.i386
gemdropx-0:0.9-4.fc9.i386
wormsofprey-0:0.4.3-3.fc10.i386
tecnoballz-0:0.92-5.fc10.i386
lbrickbuster2-0:2.6-0.9.beta7.fc8.i386
tuxtype2-0:1.5.17-1.fc10.i386
freedroid-0:1.0.2-9.fc9.i386
gl-117-0:1.3.2-7.fc10.i386
nazghul-0:0.6.0-4.20080407cvs.fc9.i386
gambas2-gb-sdl-0:2.9.0-1.fc10.i386
wesnoth-0:1.4.5-1.fc10.i386
nethack-vultures-0:2.1.0-14.fc10.i386
vavoom-0:1.28-1.fc10.i386
shippy-0:1.3.3.7-7.fc9.i386
netpanzer-0:0.8.2-3.fc9.i386
hedgewars-0:0.9.7-1.fc10.i386
lostlabyrinth-0:3.3.5-1.fc10.i386
cdogs-sdl-0:0.4-4.fc9.i386
tennix-0:0.6.1-4.fc10.i386
Ri-li-0:2.0.1-3.fc9.i386
lincity-ng-0:1.97-0.1.beta.fc10.i386
megamario-0:1.5-2.fc10.i386
njam-0:1.25-9.fc9.i386
SDL_mixer-devel-0:1.2.8-9.fc10.i386
xblast-0:2.10.4-5.fc9.i386
rocksndiamonds-0:3.2.3-3.fc9.2.i386
manaworld-0:0.0.25-1.fc10.i386
rott-shareware-0:1.1-1.fc10.i386
ocaml-SDL-0:0.7.2-14.fc10.i386
xu4-0:1.1-0.4.cvs20070510.fc9.i386
sdljava-0:0.9.1-9.fc9.i386
wesnoth-tools-0:1.4.7-1.fc10.i386
8Kingdoms-0:1.1.0-6.fc9.i386
tong-0:1.0-10.fc9.i386
kcirbshooter-0:0.04-2.fc10.i386
neverball-0:1.4.0-11.fc9.i386
ufoai-0:2.2.1-2.fc10.i386
adonthell-0:0.3.5-0.3.fc10.i386
stellarium-0:0.10.0-1.fc10.i386
blobAndConquer-0:1.0-1.fc10.i386
netpanzer-0:0.8.2-4.fc10.i386
pingus-0:0.7.2-3.fc9.i386
mirrormagic-0:2.0.2-5.fc9.i386
dopewars-sdl-0:1.5.12-5.fc10.i386
freeciv-0:2.1.8-1.fc10.i386
freedink-engine-0:1.08.20080920-4.fc10.i386
biniax-0:1.2-4.fc10.i386
lostlabyrinth-0:3.2.1-1.fc10.i386
adanaxisgpl-0:1.2.5-2.fc9.i386
freedroidrpg-0:0.10.3-2.fc9.i386
widelands-0:0-0.13.Build13.fc10.i386
openlierox-0:0.57-0.10.beta8.fc10.i386
wormux-0:0.8-1.fc10.i386
pinball-0:0.3.1-11.fc9.i386
lincity-ng-0:1.92-0.3.beta.fc10.i386
pygame-0:1.8.1-2.fc10.i386
csmash-0:0.6.6-19.i386
egoboo-0:2.7.5-4.fc9.i386
wormux-0:0.8.2-1.fc10.i386
freeciv-0:2.1.6-1.fc10.i386
rott-registered-0:1.1-1.fc10.i386
crack-attack-0:1.1.14-14.fc10.i386
flobopuyo-0:0.20-4.fc9.i386
SDL_mixer-0:1.2.8-9.fc10.i386
sear-0:0.6.3-11.fc10.i386
penguin-command-0:1.6.11-5.fc9.i386
vavoom-0:1.29-1.fc10.i386
lmarbles-0:1.0.7-9.i386
CriticalMass-0:1.0.2-5.fc9.i386
xmoto-0:0.4.2-4.fc10.i386
perl-SDL-0:2.1.3-9.fc9.i386
wesnoth-0:1.4.7-1.fc10.i386
fillets-ng-0:0.8.0-1.fc9.i386
Comment 6 Peter Robinson 2009-01-05 23:13:10 EST
> You probably want to run your query as:
> [bpepple@lincoln Desktop]$ repoquery --whatrequires libSDL_mixer-1.2.so.0

Thanks, now what is the best way to determine what depends on the samples?

Peter
Comment 7 Peter Robinson 2009-01-08 04:06:36 EST
OK, to move forward with getting this fixed in mainline can someone (I can do the leg work if people are happy for me to do so) add a "Provides: SDL_mixer-midi" line (or whatever name is chosen) to the package so that we can get packages to start depending if they need that functionality before we split it out to the sub package to minimise breakage. Once the the provide is in and updated packages pushed out we can send an email to fedora-devel and file some bugs to get this happening. I would do F-10 and F-9 as well as rawhide so that if maintainers of dependent packages have the same spec across release it makes it easier for them to maintain.
Comment 8 Brian Pepple 2009-01-16 20:01:18 EST
(In reply to comment #7)
> OK, to move forward with getting this fixed in mainline can someone (I can do
> the leg work if people are happy for me to do so) add a "Provides:
> SDL_mixer-midi" line (or whatever name is chosen) to the package so that we can
> get packages to start depending if they need that functionality before we split
> it out to the sub package to minimise breakage. Once the the provide is in and
> updated packages pushed out we can send an email to fedora-devel and file some
> bugs to get this happening. I would do F-10 and F-9 as well as rawhide so that
> if maintainers of dependent packages have the same spec across release it makes
> it easier for them to maintain.

Peter, I'm probably not going to have time to update this until sometime next week, so if you want to go ahead and update the devel branch before then that would be fine with me. I'd prefer not to do this change to our stable branches, though.
Comment 9 Peter Robinson 2009-01-16 20:13:52 EST
Thanks Brian, With OLPC planning on going with F-11 now for the next release the fix in rawhide would be fine :-) I'll probably get to it earlyish this coming weeks. Cheers
Comment 10 Peter Robinson 2009-01-20 04:15:18 EST
Added "Provides: SDL_mixer-midi" to the package and rebuilt. It should show up in rawhide tomorrow. I'll then file bugs against the dependant packages as I get time.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1068080
Comment 11 Sebastian Dziallas 2009-03-01 07:24:06 EST
Reprioritizing this, as it impacts OLPC's Fedora-XO effort as well as SugarLabs' Sugar on a Stick project.
Comment 12 Peter Robinson 2009-04-01 06:11:32 EDT
I've just gone and re-reviewed this to file sub packages. It seems that I've misinterpreted this a little. Its not that we need a subpackage but rather we need to remove the dep on timidity++-patches/PersonalCopy-Lite-patches and whoever then uses them can depend on them directly.

Given that its a completely separate package I would think that most of the apps that use it would depend on it explicitly anyway rather than depend on the fact that SDL_mixer depends on it. As a result is there any issue with just removing the dep?

repoquery --whatrequires timidity++-patches --enablerepo=rawhide --disablerepo=fedora
vavoom-0:1.29-1.fc10.x86_64
gt-0:0.4-8.fc11.x86_64
wildmidi-libs-0:0.2.2-7.fc11.i586
libtimidity-0:0.1.0-7.fc11.x86_64
vavoom-0:1.30-1.fc11.x86_64
wildmidi-libs-0:0.2.2-7.fc11.x86_64
SDL_mixer-0:1.2.8-11.fc11.i586
libtimidity-0:0.1.0-7.fc11.i586
SDL_mixer-0:1.2.8-11.fc11.x86_64
allegro-0:4.2.2-12.fc11.i586
allegro-0:4.2.2-12.fc11.x86_64
Comment 13 Brian Pepple 2009-04-05 10:15:56 EDT
Peter, I don't think it should be an issue to remove the dep on timidity++-patches.
Comment 14 Peter Robinson 2009-04-05 11:29:04 EDT
Thanks for the update. Fixed in SDL_mixer-1.2.8-12.fc11
Comment 15 Peter Robinson 2009-04-11 14:01:27 EDT
Finally fixed.

Note You need to log in before you can comment on or make changes to this bug.